/*
 *	Gun library
 *	This is a fairly primitive gun library.  It basically supports shooting
 *	things and that's it.  Even support for decrementing ammo is handled by
 *	the object getting shot.  Also, the grenade launcher reference is 
 *	specific to Scavenger.
 */

modify thing
	verDoShootWith(actor, io) =
	{
		if ((io != nil) && (io.rounds = nil)) {
			"How are you proposing to shoot something with <<io.adesc>>? ";
			return;
		}
		if (io != grenadelauncher)
			"You briefly consider shooting a hole in <<self.thedesc>>, then decide that it's not worth wasting your limited supply of ammunition. ";
	}
	verIoShootWith(actor) =
	{
		"How are you proposing to shoot something with <<self.thedesc>>? ";
	}
	verDoShootAt(actor, io) = "How are you proposing to shoot something with <<self.adesc>>? "
	verIoShootAt(actor) = {
		local dobj = parserGetObj(PO_DOBJ);
		self.verDoShootWith(actor, dobj);
	}
	ioShootAt(actor, dobj) = {
		dobj.ioShootWith(actor, self);
	}
	verIoLoadWith(actor) = {}
	ioLoadWith(actor, dobj) = {
		if (dobj.isGun) {
			"You can't load <<dobj.thedesc>> with that. ";
		} else {
			"I don't know how to load <<dobj.thedesc>>. ";
		}
		exit;
	}
;

shootVerb: deepverb
	verb = 'shoot' 'shoot at'
	sdesc = "shoot"
	prepDefault = withPrep
	ioAction(withPrep) = 'ShootWith'
	ioAction(atPrep) = 'ShootAt'
	doDefault(actor, prep, io) = {
		if (prep = atPrep)
			return actor.contents;
		else
			return [];
	}
	validDo(actor, obj, seqno) =
	{
		return obj.isVisible(actor);
	}
	validIo(actor, obj, seqno) =
	{
		return obj.isVisible(actor);
	}
;

fireVerb: deepverb
	verb = 'fire'
	sdesc = "fire"
	prepDefault = atPrep
	ioAction(atPrep) = 'ShootAt'
	doDefault(actor, prep, io) = {
			return actor.contents;
	}
	validDo(actor, obj, seqno) =
	{
		return obj.isVisible(actor);
	}
	validIo(actor, obj, seqno) =
	{
		return obj.isVisible(actor);
	}
;

loadVerb: deepverb
	verb = 'load' 'reload'
	sdesc = "load"
	doAction = 'Load'
	ioAction(withPrep) = 'LoadWith'
;

unloadVerb: deepverb
	verb = 'unload'
	sdesc = "unload"
	doAction = 'Unload'
;

class gun: item
	isGun = true
	rounds = 1
	doSynonym('Attack') = 'Shoot'
	verIoShootWith(actor) = {
		if (self.location != actor)
			"You aren't carrying <<self.thedesc>>. ";
	}
	ioShootWith(actor, dobj) = {
		self.ioAttackWith(actor, dobj);
	}
	verDoShootAt(actor, io) = {
		if (self.location != actor)
			"You aren't carrying <<self.thedesc>>. ";
		if (io = self)
			"That'd be a neat trick. ";
	}
	verIoAttackWith(actor) = {
		if (self.location != actor) {
			"You can't attack with <<self.thedesc>> unless you're holding it. ";
		}
	}
	verDoLoad(actor) = {}
	doLoad(actor) = {
		"You don't have any extra ammunition to load. ";
	}
	verDoLoadWith(actor, iobj) = {}
	verDoEmpty(actor) = {}
	doEmpty(actor) = {
		"You pop the magazine out of <<self.thedesc>> to count the number of shots remaining, then slide it back in.  There ";
		if (self.rounds>1)
			"are";
		else
			"is";
		" <<self.rounds>> shot";
		if (self.rounds>1)
			"s";
		" left. ";
	}
	verDoUnload(actor) = {}
	doUnload(actor) = { self.doEmpty(actor); }
	verDoLookin(actor) = {}
	doLookin(actor) = {
		self.doEmpty(actor);
	}
;
