/*
 *  Scavenger hints
 *	The basic context-sensitive hint system is pretty generic.  The hints
 *	that follow hintVerb are specific to Scavenger.  A hint is made
 *	available to the player by setting its active property to "true".  It
 *	can then be removed from the hint list by setting that to "nil".
 */

hintVerb: sysverb
	verb = 'hint' 'hints'
	sdesc = "hint"
	hintcount = 0
	hintlist = [genericHint cityHint coyoteHint basementHint ionaHint iona2Hint iona3Hint guard1Hint door1Hint objectHint panelHint codeHint raidersHint guard2Hint loginHint launcherHint door2Hint commissaryHint powerHint radHint vaultHint bossHint scoreHint reactorHint]
	action(actor) = {
		local i, activelist, count, inputval, numval, thishint, hintarray, ret, cont;
		while (true) {
			"\(In-Game Hint System:\)\n ";
			count := 0;
			activelist := [];
			for(i:=1;i<=length(hintlist);i++) {
				if (hintlist[i].active) {
					count++;
					activelist += hintlist[i];
				}
			}
			if (count = 0) {
				"\bYou have no hints available right now!";
				abort;
			}
			for(i:=1;i<=length(activelist);i++) {
				if (activelist[i].active) {
					"\t";
					say(i);
					") ";
					activelist[i].sdesc;
					"\n";
				}
			}
			"\bSelect a number to view, or enter 'Q' to return to the game: ";
			numval := 0;
			while ((numval = 0) || numval > count) {
				ret := input();
				inputval := substr(ret, 1, 1);
	//			inputval := inputkey();
				numval := cvtnum(inputval);
				if (numval = 0) {
	//				say(inputval);
					abort;
				}
			}
	//		say(inputval);
			thishint := activelist[numval];
			"\b\"<<thishint.sdesc>>\"\b";
			hintarray := [thishint.hint1 thishint.hint2 thishint.hint3 thishint.hint4 thishint.hint5 thishint.hint6 thishint.hint7 thishint.hint8];
			count := 0;
			for(i:=1;i<=8;i++) {
				if (hintarray[i] != nil) {
					count++;
				}
			}
			i:=1;
			cont := true;
			while (cont) {
				"\t\(hint #";
				say(i);
				": ";
				say(hintarray[i]);
				"\)";
				if (i=length(hintarray)) {
					"\b(No hints remaining.  Hit any key to return to the hint menu)";
					inputval := inputkey();
					cont := nil;
					"\b";
				} else if (hintarray[i+1] = nil) {
					"\b(No hints remaining.  Hit any key to return to the hint menu)";
					inputval := inputkey();
					cont := nil;
					"\b";
				}
				if (cont) {
					"\b(";
					say(count-i);
					" hint";
					if (count-i != 1)
						"s";
					" remaining.  Hit 'H' to continue to the next hint, or any other key to return to the hint menu)";
					inputval := inputkey();
					if (upper(inputval) = 'H') {
						i++;
						if (hintarray[i] = nil)
							cont := nil;
						"\b";
					} else {
						cont := nil;
					}
				}
			}
			"\b";
		}
	}
;

class hint: object
	active = nil
;

genericHint: hint
	sdesc = "Some basic hints"
	active = true
	hint1 = 'It is possible to get all 70 points.'
	hint2 = 'It is not necessary to get all 70 points to win.'
	hint3 = 'It is possible to win no matter which of the extra items you purchase in the shop.'
	hint4 = 'There are multiple ways to get past many of the obstacles you encounter.'
	hint5 = 'Look inside, behind, and under things.'
	hint6 = 'Be sure to examine "scenery" items listed in room descriptions, as some may be needed to reach your end goal.'
	hint7 = 'There are multiple endings.'
;

cityHint: hint
	sdesc = "How can I leave the city?"
	active = true
	hint1 = 'Just follow the road out of town.'
	hint2 = 'Of course, you\'re going to have to find a GPS first.'
	hint3 = 'You can buy one in the shop.'
	hint4 = 'GO WEST and BUY GPS'
;

coyoteHint: hint
	sdesc = "How do I get past the coyotes?"
	hint1 = 'If you had a weapon, you could try that.'
	hint2 = 'Otherwise, try to figure out why they attack you.'
	hint3 = 'They sure do look hungry.'
	hint4 = 'Search around outside for something to feed them.'
	hint5 = 'Look around the area where you arrived.'
	hint6 = 'SEARCH BRAMBLES'
;

basementHint: hint
	sdesc = "How can I get out of the basement?"
	hint1 = 'If only you were a little taller....'
	hint2 = 'Stand on the chair.'
	hint3 = 'Then GO UP or JUMP to reach the floor above.'
;

ionaHint: hint
	sdesc = "Why won't the little girl talk to me?"
	hint1 = 'Have you tried looking at her?'
	hint2 = 'She seems awfully scared.'
	hint3 = 'Not to mention hungry.'
	hint4 = 'Perhaps if you offered her something she might want... or need.'
	hint5 = 'GIVE RATIONS TO GIRL'
;

iona2Hint: hint
	sdesc = "Does Iona know anything helpful?"
	hint1 = 'She seems to be all alone out here.'
	hint2 = 'I wonder what happened to her family.'
	hint3 = 'Ask her about her family or the village.'
	hint4 = 'Ask her about the "bad men".'
	hint5 = 'Ask her about the base.'
	hint6 = 'Now ask her about the secret way.'
	hint7 = 'All you need to do is find her missing doll.'
	hint8 = 'It\'s in the basement of the crumbling building.'
;

iona3Hint: hint
	sdesc = "I scared the little girl away.  How can I get her to return?"
	hint1 = 'Try giving her some space.'
	hint2 = 'Leave the village and she should return to the shack on her own.'
;

guard1Hint: hint
	sdesc = "How can I get past the guard outside?"
	hint1 = 'If you only had a weapon.'
	hint2 = 'The element of surprise might be helpful.'
	hint3 = 'Alternatively, you might want to consider finding another way in.'
	hint4 = 'Search around inside the battered shack if you didn\'t buy the pistol.'
;

door1Hint: hint
	sdesc = "How can I get the security door open?"
	hint1 = 'The door requires two specific things to open.'
	hint2 = 'Something to put on the scanning grid.'
	hint3 = 'And a pass code.'
	hint4 = 'Both can be found on the first floor.'
	hint5 = 'The badge can be found under the desk in the abandoned office.'
	hint6 = 'The pass code can be found in the security station.'
;

objectHint: hint
	sdesc = "How can I get the metallic object out from under the desk?"
	hint1 = 'If you had something narrow and long to put under the desk.'
	hint2 = 'And maybe something to put on the end to snag the object.'
	hint3 = 'A magnet attached to a pole might work.'
	hint4 = 'You can find a magnet in the barracks.'
	hint5 = 'PUT THE MAGNET ON THE POLE. GET THE OBJECT WITH THE POLE'
;

panelHint: hint
	sdesc = "I put the badge on the grid and nothing happened!"
	hint1 = 'Hmm, notice how the description says the grid is "oddly dark."'
	hint2 = 'It might need to be fixed.'
	hint3 = 'Open it up and take a look inside.'
	hint4 = 'You\'ll need to unscrew the panel first, though.'
	hint5 = 'You can find a screwdriver in the village.'
	hint6 = 'Search the basement of the crumbling building.'
	hint7 = 'Now look inside of the panel.'
	hint8 = 'PUT THE PRONG INTO THE SOCKET'
;

codeHint: hint
	sdesc = "Where can I find the security code?"
	hint1 = 'You\'ll need to explore the entire first floor.'
	hint2 = 'Head east down the hallway.'
	hint3 = 'A security station might be a good place to look.'
	hint4 = 'Look west of the conference room.'
;

raidersHint: hint
	sdesc = "How can I safely pass by the raiders?"
	hint1 = 'Did you notice anything unusual about any raiders you\'ve encountered so far?'
	hint2 = 'They\'re all dressed in similar colors.'
	hint3 = 'If you had a coat or jacket of the same style, they might accept you.'
	hint4 = 'Search the closet.'
;

guard2Hint: hint
	sdesc = "How can I get past the guard in the conference room?"
	hint1 = 'All he needs is the password.'
	hint2 = 'If you\'re patient, you might be able to overhear it somewhere.'
	hint3 = 'Be stealthy.'
	hint4 = 'Hide behind the bookcase in the east hallway and wait.'
;

loginHint: hint
	sdesc = "What's the login and password?"
	hint1 = 'A good adventurer searches everything.'
	hint2 = 'That should include looking behind things.'
	hint3 = 'Look behind the desk in the security station.'
;

door2Hint: hint
	sdesc = "Why can't I open any of the doors on the second level?"
	hint1 = 'Noticed anything interesting about the overhead lights?'
	hint2 = 'Looks like the power is out on this level.'
	hint3 = 'Find the circuit breaker on the first level.'
	hint4 = 'It\'s in one of the boxes in the closet.'
	hint5 = 'Put it into the breaker box in the electrical room.'
;

commissaryHint: hint
	sdesc = "How can I get into the commissary?"
	hint1 = 'That window might give you some ideas.'
	hint2 = 'Or you could try looking up.'
	hint3 = 'If you could get into the vent up there...'
	hint4 = 'Of course, you\'ll need a ladder.'
;

powerHint: hint
	sdesc = "So how do I turn on the power on the third level?"
	hint1 = 'Same way as the second level?'
	hint2 = 'Of course, if you could somehow get the door to stay open while you removed the circuit breaker, that would simplify things.'
	hint3 = 'Maybe you have something you can use to prop the door open.'
	hint4 = 'OPEN THE DOOR and then PUT THE POLE IN THE DOOR'
;

radHint: hint
	sdesc = "Why do I keep getting sick?"
	hint1 = 'Dry mouth, fatigue, vomiting, and bleeding sores are all symptoms of radiation sickness.'
	hint2 = 'Take advantage of your Geiger counter.'
	hint3 = 'You\'ll need some kind of protection.'
	hint4 = 'A radiation suit or radiation pills.'
	hint5 = 'But once you\'re sick...'
;

vaultHint: hint
	sdesc = "How can I get the vault door open?"
	hint1 = 'It takes a numeric code, if you can find it.'
	hint2 = 'You might be able to divine it from personal data found around the base.'
	hint3 = 'The guard in the conference room has a datacube with useful information.'
	hint4 = 'Or, if you have the ordnance, try a more direct route.'
	hint5 = 'Like, say, a grenade on the hinges.'
	hint6 = 'Alternatively, that gas tank might be helpful in this regard.'
	hint7 = 'Move the gas tank to the vault door and break open the regulator valve.'
;

launcherHint: hint
	sdesc = "What can I do with the grenade launcher?"
	hint1 = 'Have you tried picking it up or touching it?'
	hint2 = 'It appears to have some kind of biometric lock and you aren\'t a recognized user.'
	hint3 = 'It won\'t fit in your pack, and the guard said he\'d kill you if you messed with anything.'
	hint4 = 'So obviously you won\'t be able to use it.'
	hint5 = 'Who will?'
	hint6 = 'Maybe some sabotage is in order.'
	hint7 = 'Have you found the clay in the shack?'
	hint8 = 'Stuff it inside the muzzle.'
;

bossHint: hint
	sdesc = "How can I kill the raider boss?"
	hint1 = 'His impressive armor is bullet-proof.'
	hint2 = 'It may not be explosion-proof.'
	hint3 = 'Have you seen his weapon anywhere before?'
	hint4 = 'If there was something else explosive in the room...'
	hint5 = 'Keep the gas tank by the lab doors and shoot it with the pistol.'
	hint6 = 'If you don\'t have a pistol handy, you can sabotage the grenade launcher before coming downstairs.'
	hint7 = 'A little clay in the barrel might help.'
;

scoreHint: hint
	sdesc = "How can I get the full 70 points?"
	hint1 = 'That would be telling!'
	hint2 = 'No, really, that you\'ll have to figure out on your own.'
	hint3 = 'Sorry!'
;

reactorHint: hint
	sdesc = "I'm scared!  What do all these alarms and flashing lights mean?"
	hint1 = 'It must have been something you did.'
	hint2 = 'You didn\'t push something, did you?'
	hint3 = 'The screens on the console might hold some important information.'
	hint4 = 'The fusion reactor is going critical.'
	hint5 = 'You might want to get as far away as possible as soon as you can.'
;
