/*
 *	Decorations for Scavenger
 */

scenerysky: scenery, floatingItem
	sdesc = "sky"
	ldesc = {
		switch (global.chapter) {
			case 1:
				"The sky is barrier of colorless gray: dimly lit by the radiance of the city.  As usual, the sun is barely more than a faint glow in the clouds. ";
				break;
			case 2:
				"No stars twinkle above, no moon shines down upon you. ";
				break;
			case 3:
				"The clouds are nearly omnipresent, except for a small break through which a tiny beam of sunshine descends upon the city. ";
				break;
		}
	}
	noun = 'sky' 'clouds' 'sun' 'sunshine' 'beam'
	adjective = 'beam of' 'beam'
	location = {
		if (findRootRoom(parserGetMe()).bOutdoor) {
			return findRootRoom(parserGetMe());
		}
		return nil;
	}
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> sail<<dobj.verbs>> into the air and falls to the ground. ";
		dobj.moveInto(actor.location);
	}
	smelldesc = {
		findRootRoom(parserGetMe()).smelldesc;
	}
;

sceneryceiling: scenery, floatingItem
	sdesc = "ceiling"
	noun = 'ceiling'
	ldesc = {
		return location.ceilingdesc;
	}
	location = {
		if (!findRootRoom(parserGetMe()).bOutdoor) {
			return findRootRoom(parserGetMe());
		}
		return nil;
	}
;

scenerystreetlights: scenery
	sdesc = "street lights"
	noun = 'light' 'lights'
	adjective = 'street'
	location = startroom
	isThem = true
	listendesc = "They hum faintly. "
	ldesc = "The few that work cast off a feeble light. "
;

sceneryroad: scenery, floatingItem
	sdesc = "road"
	noun = 'road' 'street' 'asphalt' 'potholes'
	adjective = 'ancient' 'crumbling' 'enormous'
	locations = [startroom southgate]
	ldesc = "The roads out here are poorly maintained.  The asphalt is cracked is numerous places, and enormous potholes have sprung up as a result. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> skid<<dobj.verbs>> across the road. ";
		dobj.moveInto(actor.location);
	}
;

sceneryshop: scenery
	sdesc = "merchant shop"
	noun = 'shop' 'store'
	adjective = 'merchant'
	location = startroom
	ldesc = "A small run-down building.  Almost looks like a light breeze could send it tumbling. "
	verDoEnter(actor) = {}
	doEnter(actor) = {
		actor.travelTo(shop);
	}
;

sceneryshop2: scenery
	sdesc = "merchant shop"
	noun = 'shop' 'store'
	adjective = 'merchant'
	location = shop
	ldesc = { shop.ldesc; }
;

scenerybuildings1: scenery
	sdesc = "derelict buildings"
	noun = 'buildings' 'building'
	adjective = 'derelict'
	location = startroom
	isThem = true
	ldesc = "Probably filled with squatters. "
	verDoEnter(actor) = { "Going into one of those buildings would probably be bad for your health."; }
	verDoSearch(actor) = { self.verDoEnter(actor); }
;

sceneryenforcerweapons: scenery, knownTopic
	sdesc = "Enforcer weapons"
	noun = 'autolasers' 'autolaser' 'shotgun' 'shotguns' 'machinegun' 'machineguns'
	adjective = 'powerful' 'long-range' 'laser' 'sniper' 'pulse' 'automatic' 'tripod-mounted' 'machine' 'rifle' 'rifles' 'gun' 'guns'
	location = enforcers
	ldesc = "Enforcers are almost always armed to the teeth.  This squad is no different.  It's possible for anyone to get weapons like these with the right contacts and cash flow.  Unfortunately, you are currently lacking in both regards. "
	verDoTake(actor) = "Enforcers aren't known for their intelligence.  They are, however, quite famous for their irritability and brutality. "
;

scenerywall: scenery
	sdesc = "city wall"
	noun = 'wall'
	adjective = 'city' 'high' 'cement'
	location = southgate
	ldesc = "The wall towers above you, at least thirty feet from the ground to its highest point.  It's a particularly unattractive structure.  Its face is the rough texture of carelessly poured concrete and is stained by years of pollution.  Perched upon its crown, on either side of the gate, are two lookout posts.  From these, Enforcer snipers scan the wasteland just beyond the wall, keeping an eye out for scavengers returning and raider bands attacking.  One group is welcome; the other is not. "
	verDoClimb(actor) = "The wall would be worthless if it was scalable. "
	verDoJump(actor) = "Perhaps if you were wearing a Class III exoskeleton.  But you aren't.  So you can't.  Normal people just use the gate. "
;

scenerygate: scenery, knownTopic
	sdesc = "gate"
	noun = 'gate' 'hatch' 'cables' 'cable' 'cement' 'chain' 'chains'
	adjective = 'city' 'south' 'left' 'right' 'metal' 'door'
	location = southgate
	ldesc = "The gate is a fairly impressive structure.  It was built large enough to accommodate the bulkiest of corporate vehicles, which necessitated its twenty foot width.  Metal cables crisscross its surface of cement and metal.  Slack chains run from the inside edges of its double doors and form lazy arcs to motorized gears along the wall.  These aren't necessary for foot traffic such as yourself, however, as there is an appropriately-sized hatch built into the left door.  The gate and the hatch are both closed. "
	verDoOpen(actor) = "When you are ready to depart the city, Enforcers will handle that job for you. "
	verDoEnter(actor) = {}
	doEnter(actor) = { actor.travelTo(roadsouth); }
	verDoClimb(actor) = "The gate is far too tall to scale. "
;

scenerygears: scenery
	sdesc = "motorized gears"
	noun = 'gears'
	adjective = 'motorized'
	location = southgate
	ldesc = "These gear boxes allow the Enforcers to open the entire gate when necessary. "
;

scenerybunkers: scenery
	sdesc = "bunkers"
	noun = 'bunker' 'bunkers' 'slot' 'slots'
	adjective = 'squat' 'concrete'
	location = southgate
	isThem = true
	ldesc = "These are defensive structures, garrisoned by a squad of Arcadian Enforcers.  They flank the street right at the gate; slots built into the wall itself allow the security forces to observe and fire into the wasteland.  The openings facing into the city let them respond to attacks from that direction as well. "
	verDoEnter(actor) = {}
	doEnter(actor) = {
		"Several large and well-armed men block your way. ";
	}
	verDoOpen(actor) = "The bunkers are already open. "
	verDoSearch(actor) = "Several large and well-armed men block your way. "
	verIoPutIn(actor) = "Every opening to the bunker is manned by a heavily-armed Enforcer. "
;

scenerylookoutposts: scenery, distantItem
	sdesc = "lookout posts"
	noun = 'outposts' 'posts' 'outpost' 'post'
	adjective = 'lookout' 'elevated'
	location = southgate
	isThem = true
	ldesc = "High atop the wall, these outposts give the Enforcers the ability to see well into the wasteland, as long as the weather cooperates. "
;

sceneryclearinginside: sceneryroom
	sdesc = "clearing"
	noun = 'clearing'
	location = clearing
;

sceneryclearinginside2: sceneryroom
	sdesc = "clearing"
	noun = 'clearing'
	location = hiddenpath
;

sceneryvegetation: scenery
	sdesc = "browned vegetation"
	noun = 'vegetation' 'brush' 'scrub' 'branches'
	adjective = 'browned' 'rustling'
	location = clearing
	listendesc = "The weeds rustle quietly in the faint breeze. "
	ldesc = "Scraggly weeds, scrawny bushes, and unhealthy-looking saplings. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> land<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

scenerybrush: scenery
	sdesc = "opening"
	noun = 'opening'
	location = clearing
	ldesc = "A passage through the underbrush that leads back home. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> land<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

scenerystructure: scenery, floatingItem
	sdesc = "crumbling building"
	noun = 'structure' 'lodge' 'building' 'timbers' 'debris'
	adjective = 'largest' 'one-story' 'large' 'mangled' 'pile' 'pile of'
	locations = [northvillage edgeofvillage]
	ldesc = {
		if (crumblingbuilding.collapsed) {
			"The large building is gone.  In its place is a mangled pile of timbers.  You wonder if perhaps you should be a little more careful in the future. ";
		} else {
			"This is clearly the largest building in the village: possibly a lodge or meeting hall built from uneven pieces of lumber.  It's at least three times as large as any other structure you've seen.  And yet, it's also in the worst shape.  There are huge holes in the roof";
			if (findRootRoom(parserGetMe()) = edgeofvillage)
				"and the south wall";
			else
				" and you notice a distinct lean to the building's profile";
			".  If in a month this building is still standing, you'd be very surprised. ";
		}
	}
	verDoEnter(actor) = {
		actor.travelTo(crumblingbuilding);
	}
;

sceneryvillageinside: sceneryroom, floatingItem
	sdesc = "village"
	noun = 'village'
	adjective = 'deserted' 'empty'
	locations = [edgeofvillage northvillage centerofvillage]
;

sceneryhole1: scenery
	sdesc = "gaping holes"
	noun = 'hole' 'holes' 'n' 'north'
	adjective = 'gaping'
	location = edgeofvillage
	ldesc = {
		if (crumblingbuilding.collapsed) {
			"The holes, and building, are no more. ";
		} else {
			"One of the holes heads north, into the large building.  The edges appear somewhat blackened, possibly charred. ";
		}
	}
	verIoThrowAt(actor) =
	{
		"That would be futile. ";
	}
	verDoEnter(actor) = {}
	doEnter(actor) = {
		actor.travelTo(doortocrumblingbuilding1);
	}
;

sceneryroad2: scenery, floatingItem
	sdesc = "road"
	noun = 'road' 'street'
	adjective = 'dirt'
	location = edgeofvillage
	ldesc = "The road is little more than a wide, smooth dirt path through scraggly vegetation.  You cast your flashlight across the ground, seeing that scattered shoots of grass and weeds have taken a foothold in the streets. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> skid<<dobj.verbs>> across the road. ";
		dobj.moveInto(actor.location);
	}
;

scenerybuildings2: scenery
	sdesc = "decaying wooden buildings"
	noun = 'buildings' 'shack' 'shacks'
	adjective = 'sad' 'decaying' 'wooden'
	location = edgeofvillage
	isThem = true
	ldesc = "The buildings are fairly crude structures, even by the standards of an Arcadian slum.  Built from irregular wooden planks, most of them lean precariously in their foundations.  As near as you can figure, this tiny community sprang up sometime after the war and simply made do with whatever materials they could find. "
	verDoEnter(actor) = { "You peek your head inside one of the buildings and find nothing but ghosts. "; }
;

sceneryshoots: scenery
	sdesc = "weeds"
	noun = 'grass' 'weed' 'weeds'
	adjective = 'scattered' 'shoots' 'shoots of' 'brown'
	location = edgeofvillage
	isThem = true
	ldesc = "A mix of tall grass and weeds."
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> land<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

class scenerydoor: scenery
	verDoKnock(actor) = { }
	doKnock(actor) = { "There is no answer. "; }
	verDoOpen(actor) = { "These types of doors are designed to open automatically as you approach them. "; }
	verDoClose(actor) = { "It is already closed. "; }
	verDoUnlock(actor) = { "There's no obvious way to do that. "; }
	verDoLookbehind(actor) = { "You can't look behind a closed door. "; }
	openMessage = "The door opens as you approach it, then closes again as you take a step back. "
	verDoPush(actor) = { self.openMessage; }
	verDoTouch(actor) = { self.openMessage; }
	verDoPull(actor) = { self.openMessage; }
	verDoMove(actor) = { self.openMessage; }
	verDoPryWith(actor, io) = "That's not necessary.  It's not locked. "
	verDoBraceWith(actor, io) = "That would be unnecessary. "
;

class scenerydeaddoor: scenerydoor
	openMessage = "The door doesn't budge. "
	verDoPryWith(actor, io) = {}
	verDoBraceWith(actor, io) = "You can't brace a closed door. "
;

scenerydoors1: scenery
	sdesc = "doors"
	noun = 'door' 'doors'
	location = edgeofvillage
	isThem = true
	ldesc = "They're all blocked by small drifts of dust and soil. "
	verDoKnock(actor) = { }
	doKnock(actor) = { "There is no answer. "; }
	verDoOpen(actor) = { "You peek your head inside one of the buildings and find nothing but ghosts. "; }
	verDoEnter(actor) = { "You peek your head inside one of the buildings and find nothing but ghosts. "; }
	verDoPryWith(actor, io) = "That's not necessary.  It's not locked. "
;

scenerystructures1: scenery
	sdesc = "crooked structures"
	noun = 'structures'
	adjective = 'crooked'
	location = edgeofvillage
	isThem = true
	ldesc = "Ramshackle shanties of rather poor craftsmanship. "
;

scenerybuildings3: scenery
	sdesc = "irregular buildings"
	noun = 'buildings' 'domiciles' 'homes'
	adjective = 'irregular' 'collection of'
	location = centerofvillage
	isThem = true
	ldesc = "The buildings are fairly crude structures, even by the standards of an Arcadian slum.  Built from irregular wooden planks, most of them lean precariously in their foundations.  As near as you can figure, this tiny community sprang up sometime after the war and simply made do with whatever materials they could find. "
	verDoEnter(actor) = { "You peek your head inside one of the buildings and find nothing but ghosts. "; }
;

scenerytracks: scenery
	sdesc = "tracks"
	noun = 'tracks' 'prints'
	adjective = 'paw'
	location = centerofvillage
	isThem = true
	ldesc = "The tracks trail all over the road here.  They seem to be in greatest concentration in front of the old shack to the east.  You're not sure, but they appear to be dog tracks. "
	smelldesc = "Your scent of smell's not quite <I>that</I> good. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> to the ground. ";
		dobj.moveInto(actor.location);
	}
;

sceneryshack: scenery, knownTopic
	sdesc = "shack"
	noun = 'shack' 'shed'
	adjective = 'single' 'battered' 'cramped'
	location = centerofvillage
	isThem = true
	ldesc = {
		if (shack.collapsed) {
			"The shack has been reduced to a heap of broken wood.  ";
		} else {
			"This shack, a wooden box that looks barely tall enough to stand in, stands slightly apart from the rest of the homes.  It has a plain wooden door hanging on crooked hinges. ";
		}
	}
	smelldesc = "You catch a faint whiff of ammonia. "
;

sceneryshackinside: sceneryroom
	sdesc = "shack"
	noun = 'building'
	adjective = 'battered'
	location = shack
;

sceneryroof: scenery
	sdesc = "roof"
	noun = 'roof' 'planks'
	adjective = 'warped' 'clay'
	location = shack
	ldesc = "The gaps between the warped planks of the roof appear to have been patched with clay. "
	smelldesc = "The smell of ammonia saturates everything. "
;

sceneryshapes: scenery
	sdesc = "amorphous lumps"
	noun = 'lumps' 'wood' 'stone'
	adjective = 'amorphous'
	location = shack
	isThem = true
	ldesc = "They are small, shapeless piles of material.  Very possibly surplus building materials."
	smelldesc = "The smell of ammonia saturates everything. "
;

scenerybuildinginside: sceneryroom
	sdesc = "crumbling building"
	noun = 'building'
	adjective = 'crumbling'
	location = crumblingbuilding
;

scenerydoorway: scenery, floatingItem
	sdesc = "doorway"
	noun = 'door' 'doorway' 'exit'
	adjective = 'crooked'
	locations = [crumblingbuilding northvillage]
	ldesc = "The building's doorway is passable but quite crooked, probably due to the walls' precarious leaning. "
;

sceneryhole2: scenery
	sdesc = "holes"
	noun = 'hole' 'holes' 'basement' 'cellar'
	location = crumblingbuilding
	isThem = true
	ldesc = "One of the larger holes would permit travel to the south.  There's also a gaping hole in the floor, revealing a basement.  You see no stairs or ladder, but you should be able to lower yourself down without too much trouble.  Getting yourself out might be a whole other issue. "
	ioThrowAt(actor, dobj) =
	{
		"That would be futile. ";
	}
	verIoPutIn(actor) = {}
	ioPutIn(actor, dobj) = {
		dobj.doPutIn(actor, basement);
	}
;

sceneryfurniture: scenery
	sdesc = "rotting furniture"
	noun = 'furniture' 'debris'
	adjective = 'rotting' 'pieces of' 'pieces'
	location = crumblingbuilding
	ldesc = "Bits of chairs, tables, benches.  Nothing useful. "
	verDoSearch(actor) = { "You rummage through rotting cushions and peer underneath furniture.  Nothing is revealed. "; }
;

sceneryskeleton: scenery, knownTopic
	sdesc = "pile of bodies"
	noun = 'bones' 'body' 'bodies' 'corpse' 'corpses'
	adjective = 'human' 'pile of' 'pile'
	location = basement
	ldesc = "Six, maybe seven or eight bodies in there.  It's hard to tell with them all jumbled up like that.  You feel the bile rising in your throat and turn your head away quickly. "
	smelldesc = "Were you really expecting them to smell anything other than noxious? "
	verDoSearch(actor) = { "Gingerly, you sift through the rotting bodies but come up empty handed.  It looks like they've already been stripped of anything remotely useful or valuable. "; }
	verDoStandon(actor) = { "That would be too precarious a perch. "; }
	verDoEat(actor) = "The very thought makes you want to vomit. "
	scenerymessage = "These people have been through enough.  You decide to let them rest in peace. "
;

sceneryunderbrush: scenery
	sdesc = "tangle of underbrush"
	noun = 'underbrush'
	adjective = 'tangle' 'tangle of'
	location = northvillage
	ldesc = "The thick underbrush impedes all movement to the north. "
	listendesc = "The underbrush rustles quietly in the faint breeze. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

scenerybuildings4: scenery
	sdesc = "withered homes"
	noun = 'houses' 'house' 'home' 'homes' 'buildings'
	adjective = 'tiny' 'cheerless' 'withered'
	location = northvillage
	ldesc = "The buildings are fairly crude structures, even by the standards of an Arcadian slum.  Built from irregular wooden planks, most of them lean precariously in their foundations.  As near as you can figure, this tiny community sprang up sometime after the war and simply made do with whatever materials they could find. "
	isThem = true
	verDoEnter(actor) = { "You peek your head inside one of the buildings and find nothing but ghosts. "; }
;

scenerycampfire1: scenery, distantItem
	sdesc = "campfire"
	noun = 'light' 'campfire' 'fire'
	adjective = 'bright' 'flickering'
	location = fadedpath
	ldesc = "It sure looks like a campfire from here.  You'd have to get closer to be sure. "
;

scenerybushes: scenery
	sdesc = "thick underbrush"
	noun = 'brush' 'underbrush' 'trees'
	adjective = 'thick'
	location = fadedpath
	ldesc = {
		"Densely packed vegetation, with numerous tree trunks rising weakly towards the sky.  Tall and dark, their branches twist around in thick and impenetrable weaves of branch and leaf. ";
		if (phantomrifle.location = fadedpath) {
			"There's absolutely no sign of the bandit's rifle in there. ";
		}
	}
	verDoSearch(actor) =
	{
		"The brush is far to thick to find anything in it. ";
	}
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

scenerygrass: scenery
	sdesc = "tall grass"
	noun = 'grass' 'vegetation'
	adjective = 'tall' 'taller'
	location = baseentrance
	ldesc = "A mix of tall grass and weeds."
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

scenerybushes2: scenery
	sdesc = "large bushes"
	noun = 'bushes' 'bush' 'brush'
	adjective = 'large'
	location = baseentrance
	ldesc = {
		"Rows of large, tangled bushes.  Tall and dark, their branches twist around in thick and impenetrable weaves of branch and leaf. ";
		if (phantomrifle.location = baseentrance) {
			"There's absolutely no sign of the bandit's rifle in there. ";
		}
	}
	verDoSearch(actor) =
	{
		"The brush is far to thick to find anything in it. ";
	}
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

scenerychasm: scenery
	sdesc = "opening"
	noun = 'chasm' 'opening' 'steps' 'step' 'stair' 'stairs'
	adjective = 'wide' 'concrete' 'concrete-lined'
	location = baseentrance
	ldesc = "The opening in the ground is a concrete stairway that descends into an underground structure of some kind. "
	verIoThrowAt(actor) =
	{
		"That would be futile. ";
	}
;

scenerycampfire2: scenery
	sdesc = "campfire"
	noun = 'campfire' 'fire' 'light'
	adjective = 'small' 'bright' 'flickering'
	location = baseentrance
	ldesc = "Your basic campfire, with a disheveled bedroll close beside it. "
	smelldesc = "Oddly enough, it smells like smoke. "
	listendesc = "Every so often, the fire pops and crackles. "
	verIoPutIn(actor) = {}
	ioPutIn(actor, dobj) = {
		dobj.doBurn(actor);
	}
	verDoEnter(actor) = {
		"That would be unwise. ";
	}
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> sail<<dobj.verbs>> past the fire and falls to the ground. ";
		dobj.moveInto(actor.location);
	}
	ioPourOn(actor, dobj) = {
		"%You% pour <<dobj.thedesc>> into the fire.  A large quantity of steam billows out, but the fire continues to burn. ";
		dobj.moveInto(nil);
	}
;

scenerybedroll: scenery
	sdesc = "bedroll"
	noun = 'bedroll' 'roll' 'bed'
	adjective = 'disheveled'
	location = baseentrance
	ldesc = "A dingy, grimy thing. "
	smelldesc = "You've smelled worse... but right now, you can't remember what it was. "
;

scenerybriarpatch: scenery
	sdesc = "briar patch"
	noun = 'patch' 'thicket'
	adjective = 'thorny' 'briar'
	location = hiddenpath
	ldesc = "The brambles are comprised of a dense twisting of thick branches, and just oozing with angry thorns. "
	listendesc = "The briars rustle quietly in the faint breeze. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> among the weeds. ";
		dobj.moveInto(actor.location);
	}
;

sceneryshaft3: scenery
	sdesc = "vent shaft"
	noun = 'shaft'
	adjective = 'vent'
	location = hiddenpath
	ldesc = "The shaft descends down into darkness.  It looks wide enough to enter. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> disappears into the darkness. ";
		dobj.moveInto(closet);
	}
	verIoPutIn(actor) = {}
	ioPutIn(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> disappears into the darkness. ";
		dobj.moveInto(closet);
	}
	verDoEnter(actor) = {}
	doEnter(actor) = {
		actor.travelTo(closet);
	}
;

scenerygrating: theFloor, scenery, floatingItem
	noun = 'grating'
	adjective = 'metal'
	sdesc = "floor"
	statusPrep = "on"
	locations = [firstfloorhall firstfloorwest firstflooreast secondfloorhall outsidecommissary thirdfloorhall]
	ldesc = "You don't recall ever seeing a floor like this and you aren't sure what the original purpose was.  The gaps in the grating are small, no more than a quarter of an inch wide.  If there's a subflooring underneath, you can't tell how far beneath it is. "
	location = {
		local i;
	        if (parserGetMe().location = self)
	            return self.sitloc;
		for (i:=1; i<=length(self.locations); i++) {
			if (findRootRoom(parserGetMe()) = self.locations[i]) {
	            return parserGetMe().location;
			}
		}
		return nil;
	}
	ioThrowAt(actor, dobj) =
	{
		"Dropped. ";
		dobj.moveInto(actor.location);
	}
;

modify theFloor
	ldesc = {
		return location.floordesc;
	}
	location = {
		local i;
		if (parserGetMe().location = self)
			return self.sitloc;
		for (i:=1; i<=length(self.locations); i++) {
			if (findRootRoom(parserGetMe()) = self.locations[i])
				return nil;
		}
		pass location;
	}
	locations = [firstfloorhall firstfloorwest firstflooreast secondfloorhall outsidecommissary thirdfloorhall]
;

sceneryhallwayinside: sceneryroom, floatingItem
	sdesc = "hallway"
	noun = 'hall' 'hallway'
	locations = [firstfloorwest firstfloorhall firstflooreast secondfloorhall outsidecommissary thirdfloorhall]
;

scenerygraffiti1: scenery, readable, floatingItem
	sdesc = "graffiti"
	noun = 'graffiti' 'remarks' 'message' 'scrawls' 'drawings' 'genitalia' 'messages'
	adjective = 'suggestive' 'scrawled' 'crudely'
	location = firstfloorhall
	ldesc = "Crudely scrawled (and spelled) inquiries about people's mothers, sexual preferences, appearance, odors, and a few rough drawings of genitalia.  In other words, the typical kind of thing you see every day back home in Arcadia. "
	readdesc = "You scan some of the messages:\n\(\t\t\tRandall fuks dogs\bblood and guts all the way\n\t\t\t\t\t\tkweee has RABIeS\n\t\t\tTHE VAULT DWELLER WAS HERE\)"
;

scenerygraffiti2: scenery, readable, floatingItem
	sdesc = "graffiti"
	noun = 'graffiti' 'remarks' 'message' 'scrawls' 'drawings' 'genitalia' 'messages'
	adjective = 'suggestive' 'scrawled' 'crudely'
	location = firstflooreast
	ldesc = "Crudely scrawled (and spelled) inquiries about people's mothers, sexual preferences, appearance, odors, and a few rough drawings of genitalia.  In other words, the typical kind of thing you see every day back home in Arcadia. "
	readdesc = "You scan some of the messages:\n\(\t\t\t\t\tJones is 1 ugly bastard\n\tBRING ON THE WIMIN!!!!\b\t\tKeep an open mind... bash your brains out\n\)"
;

scenerygraffiti3: scenery, readable, floatingItem
	sdesc = "graffiti"
	noun = 'graffiti' 'remarks' 'message' 'scrawls' 'drawings' 'genitalia' 'messages'
	adjective = 'suggestive' 'scrawled' 'crudely'
	location = firstfloorwest
	ldesc = "Crudely scrawled (and spelled) inquiries about people's mothers, sexual preferences, appearance, odors, and a few rough drawings of genitalia.  In other words, the typical kind of thing you see every day back home in Arcadia. "
	readdesc = "You scan some of the messages:\n\(\twe rool the wasteland\n\t\t\t\t\t\t\tYOU STNK\b\t\t\treds mom was a mutent\)"
;

sceneryfluorescentlights1: scenery, floatingItem
	sdesc = "fluorescent lights"
	noun = 'lights' 'light' 'fluorescents'
	adjective = 'fluorescent'
	locations = [firstfloorhall firstfloorwest closet abandonedoffice firstflooreast barracks conference securitystation]
	isThem = true
	ldesc = "They glow with a harsh, unnatural light. "
	listendesc = "The overhead lights hum faintly. "
;

sceneryfluorescentlights2: scenery, floatingItem
	sdesc = "fluorescent lights"
	noun = 'lights' 'light' 'fluorescents'
	adjective = 'fluorescent'
	locations = [secondfloorhall electricalroom commissary outsidecommissary]
	isThem = true
	ldesc = {
		if (global.secondpower)
			"They glow with a harsh, unnatural light. ";
		else
			"They're dark. ";
	}
	listendesc = {
		if (global.secondpower)
			"The overhead lights hum faintly. ";
		else
			pass listendesc;
	}
;

sceneryfluorescentlights3: scenery, floatingItem
	sdesc = "fluorescent lights"
	noun = 'lights' 'light' 'fluorescents'
	adjective = 'fluorescent'
	locations = [thirdfloorhall powerplant steamy lab vault]
	isThem = true
	ldesc = {
		if (global.thirdpower)
			"They glow with a harsh, unnatural light. ";
		else
			"They're dark. ";
	}
	listendesc = {
		if (global.thirdpower)
			"The overhead lights hum faintly. ";
		else
			pass listendesc;
	}
;

sceneryshaft1: scenery
	sdesc = "vent shaft"
	noun = 'shaft'
	adjective = 'vent'
	location = closet
	ldesc = "The shaft ascends upwards into darkness.  It's well out of reach. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> back out immediately, landing on the floor. ";
		dobj.moveInto(actor.location);
	}
	verDoClimb(actor) = {
		"Even if you could reach it, there aren't any handholds in that vent shaft. ";
	}
;

sceneryjunk: scenery
	sdesc = "junk"
	noun = 'junk' 'electronics' 'batteries' 'wires'
	adjective = 'broken' 'dead' 'corroded' 'completely' 'useless'
	location = closet
	ldesc = "The cardboard boxes contain a scattering of broken electronics, dead batteries, corroded wires, and other completely useless junk. "
	doSearch -> closetboxes
;

scenerydust: scenery
	sdesc = "layer of dust"
	noun = 'dust'
	adjective = 'layer' 'layer of'
	location = abandonedoffice
	smelldesc = "You sneeze violently. "
	ldesc = "Most of the dust lies on the floor and desk.  Some of it swirls around you. "
	verIoThrowAt(actor) =
	{
		"Disturb that dust and you may end up sneezing all day. ";
	}
;

sceneryoutlines: scenery
	sdesc = "dust-free outlines"
	noun = 'outlines'
	adjective = 'dust' 'dust-free'
	location = abandonedoffice
	isThem = true
	smelldesc = "You sneeze violently. "
	ldesc = "The outlines in the dust merely reveal the shapes of objects that used to reside upon this table.  Nothing more. "
	verIoThrowAt(actor) =
	{
		"Disturb that dust and you may end up sneezing all day. ";
	}
;

scenerydoor9: scenerydeaddoor
	sdesc = "north door"
	noun = 'door'
	plural = 'doors'
	adjective = 'north'
	location = firstflooreast
	ldesc = "The door to the north is your standard automatic sensor type. "
;

scenerydoor10: scenerydeaddoor
	sdesc = "south door"
	noun = 'door'
	plural = 'doors'
	adjective = 'south'
	location = firstflooreast
	ldesc = "The door to the south is your standard automatic sensor type. "
;

scenerybarracksinside: sceneryroom
	sdesc = "barracks"
	noun = 'barracks'
	location = barracks
;

scenerybeds: scenery
	sdesc = "beds and cots"
	noun = 'bed' 'beds' 'cot' 'cots' 'mattress' 'mattresses' 'bunk' 'bunks'
	location = barracks
	isThem = true
	ldesc = "Rather filthy.  But then, you've slept on worse. "
	smelldesc = "Good thing your nose isn't that sensitive to foul smells. "
	verDoLieon(actor) = "None of these cots belong to you.  There's a good chance you'll make someone mad. "
;

scenerytable: scenery, chairitem
	sdesc = "large table"
	noun = 'table' 'scratches' 'holes' 'hole' 'scratch' 'leg' 'legs' 'scuff' 'scuffs' 'gouge' 'gouges' 'mark' 'marks'
	adjective = 'large' 'scorch' 'puncture'
	location = conference
	ldesc = "The table top is covered with numerous deep scratches, a few holes, and even the occasional scorch mark.  Two of its legs are noticeably bent and the whole piece looks quite unstable. "
	verDoStandon(actor) = "That would draw unnecessary attention to yourself. "
;

scenerychair: scenery, chairitem
	sdesc = "chair"
	noun = 'chair'
	location = conference
	ldesc = {
		if (global.venttime > 0)
			"A ragged though functional office chair. ";
		else
			"The one good chair is currently occupied. ";
	}
	verDoSiton(actor) = {
		if (global.venttime = 0)
			"The only good chair is currently occupied. ";
	}
;

scenerychairs1: scenery
	sdesc = "chairs"
	noun = 'chairs'
	location = conference
	ldesc = "These chairs are in poor shape.  They are cushioned, with five-legs and wheels on the bottom.  However, most are missing wheels, arm rests, or even backs.  The one good chair is currently occupied by the guard. "
	verDoSiton(actor) = { "The only good chair is currently occupied. "; }
;

scenerydoor8: scenery, knownTopic
	sdesc = "west door"
	noun = 'door'
	adjective = 'west'
	plural = 'doors'
	location = conference
	verDoOpen(actor) = {
		if (confguard.gotpassword) {
			actor.travelTo(confguard);
		} else {
			"The guard growls.  \"I wouldn't suggest you do that.\" ";
		}
	}
	verDoPryWith(actor, io) = "That's not necessary.  It's not locked. "
;

sceneryscreens: scenery
	sdesc = "small screens"
	noun = 'screen' 'screens' 'label' 'labels' 'numbers'
	adjective = 'small'
	location = securitystation
	isThem = true
	ldesc = "All of the security screens are dark. "
;

scenerydoor2: scenerydeaddoor
	sdesc = "west door"
	noun = 'door'
	adjective = 'west'
	plural = 'doors'
	location = securitystation
	ldesc = "The door leading to the raider boss's private chamber.  It's closed and appears to be locked. "
;

scenerydoor3: scenerydoor
	sdesc = "east door"
	noun = 'door'
	adjective = 'east'
	plural = 'doors'
	location = securitystation
	verDoPryWith(actor, io) = "That's not necessary.  It's not locked. "
;

scenerychairs2: scenery, chairitem
	sdesc = "office chair"
	noun = 'chair'
	adjecitve = 'office'
	location = securitystation
	ldesc = "This chair is in fairly good condition.  Still, it looks as if it's seen a lot of use. "
	reachable = ([] + self + securityconsole + desk2)
;

scenerydoor4: scenerydoor
	sdesc = "north door"
	noun = 'door'
	adjective = 'north'
	plural = 'doors'
	location = abandonedoffice
	verDoPryWith(actor, io) = "That's not necessary.  It's not locked. "
;

scenerysteps1: scenery
	sdesc = "flight of steps"
	noun = 'steps' 'step'
	adjective = 'flight' 'flight of'
	location = firststairs
	ldesc = "The steps are concrete, with no-skid rubber pads along the edge. "
;

scenerylamp1: scenery
	sdesc = "lamp"
	noun = 'lamp'
	adjective = 'brightly' 'illuminated'
	location = firststairs
	ldesc = "The lamp is a simple dome light, set in the wall above the door. "
;

scenerydust2: scenery
	sdesc = "thick layer of dust"
	noun = 'dust'
	adjective = 'thick' 'layer' 'layer of'
	location = secondfloorhall
	ldesc = "The dust coats pretty much everything in sight. "
	smelldesc = "You sneeze violently. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> land<<dobj.verbs>> among the dust. ";
		dobj.moveInto(actor.location);
	}
;

scenerysteps2: scenery
	sdesc = "flight of steps"
	noun = 'steps'
	adjective = 'flight' 'flight of'
	location = secondfloorhall
	ldesc = "The steps are concrete, with no-skid rubber pads along the edge. "
;

scenerycommissaryinside: sceneryroom
	sdesc = "commissary"
	noun = 'commissary'
	location = commissary
	ldesc = {
		if (findRootRoom(parserGetMe()) = commissary)
			commissary.ldesc;
		else
			window.thrudesc;
	}
;

sceneryconduits: scenery
	sdesc = "electrical conduits"
	noun = 'conduits'
	adjective = 'electrical' 'plastic' 'metal'
	location = electricalroom
	ldesc = "The electrical conduits are gray plastic tubes that shield and insulate the cables within. "
	isThem = true
	listendesc = "They seem to be emitting a faint hum. "
	smelldesc = "You think you detect the muted tang of ozone. "
;

scenerytransformers: scenery, readable, keyedLockable
	sdesc = "transformers"
	noun = 'transformer' 'transformers' 'padlock' 'lock' 'sign'
	adjective = 'tiny'
	location = electricalroom
	isThem = true
	islocked = true
	ldesc = "Metal boxes of varying shapes and sizes.  Each of them is closed, fitted with a tiny padlock, and each bears a sign warning of possible electrocution. "
	readdesc = "\"Electrocution warning: do not open!\" "
	listendesc = "They seem to be emitting a faint hum. "
	smelldesc = "You think you detect the muted tang of ozone. "
	verDoOpen(actor) = "Each of the transformers is fitted with a tiny padlock. "
;

scenerymeters: scenery, readable
	sdesc = "power meters"
	noun = 'meter' 'meters' 'needles' 'needle'
	adjective = 'power'
	location = electricalroom
	isThem = true
	ldesc = "The needles on each meter appear to be fluctuating wildly.  You judge that the power source may not be entirely stable. "
	listendesc = "The power meters are clicking quietly. "
	smelldesc = "You think you detect the muted tang of ozone. "
;

scenerymetalribbons: scenery, floatingItem
	sdesc = "ribbons of metal"
	noun = 'metal'
	adjective = 'ribbons' 'ribbon' 'strips' 'of'
	locations = [breakerbox1 breakerbox2]
	isThem = true
	ldesc = "The ribbons are strips of metal that carry electricty to the circuit breakers. "
	verDoTake(actor) = "Touching the ribbons of metal would likely be lethal. "
;

sceneryshaft2: scenery
	sdesc = "unclimbable shaft"
	noun = 'shaft'
	adjective = 'unclimbable'
	location = duct3
	ldesc = "It ascends up into darkness and is far too steep, and its walls too smooth, for you to climb. "
	ioThrowAt(actor, dobj) =
	{
		"\^<<dobj.thedesc>> fall<<dobj.verbs>> back out immediately, landing on the floor. ";
		dobj.moveInto(actor.location);
	}
;

scenerysteps3: scenery
	sdesc = "flight of steps"
	noun = 'steps' 'step'
	adjective = 'flight' 'flight of'
	location = secondstairs
	ldesc = "The steps are concrete, with no-skid rubber pads along the edge. "
;

scenerylamp2: scenery
	sdesc = "lamp"
	noun = 'lamp'
	adjective = 'dark' 'brightly' 'illuminated'
	location = secondstairs
	ldesc = {
		"The lamp is a simple dome light, set in the wall above the door. ";
		if (global.secondpower)
			"It is brightly lit. ";
		else
			"It's currently dark. ";
	}
;

scenerydoor11: scenerydeaddoor
	sdesc = "east door"
	noun = 'door'
	plural = 'doors'
	adjective = 'east'
	location = thirdfloorhall
	ldesc = "The door to the east is your standard automatic sensor type. "
;

scenerydoor12: scenerydeaddoor
	sdesc = "south door"
	noun = 'door'
	plural = 'doors'
	adjective = 'south'
	location = thirdfloorhall
	ldesc = "The door to the south is your standard automatic sensor type. "
;

scenerydoor5: scenerydeaddoor
	sdesc = "north door"
	noun = 'door'
	plural = 'doors'
	adjective = 'north'
	location = firstfloorwest
	ldesc = "The door to the north is your standard automatic sensor type. "
;

scenerydoor6: scenerydoor
	sdesc = "south door"
	noun = 'door'
	plural = 'doors'
	adjective = 'south'
	location = firstfloorwest
	ldesc = "The door to the south is your standard automatic sensor type. "
;

scenerydoor7: scenerydoor
	sdesc = "west door"
	noun = 'door'
	plural = 'doors'
	adjective = 'west'
	location = firstfloorwest
	ldesc = "The door to the west is your standard automatic sensor type. "
;

scenerydoor13: scenerydoor
	sdesc = "east door"
	noun = 'door'
	plural = 'doors'
	adjective = 'west'
	location = closet
	ldesc = "The door to the east is your standard automatic sensor type. "
;

sceneryfootprints: scenery
	sdesc = "muddy footprints"
	noun = 'footprint' 'footprints' 'prints' 'mud'
	adjective = 'muddy'
	location = firstfloorwest
	ldesc = "The few footprints across the metal grating head in from the east and lead to the western door. "
;

scenerypipes: scenery
	sdesc = "massive pipes"
	noun = 'pipes' 'pipe' 'conduit' 'conduits'
	adjective = 'massive'
	location = powerplant
	ldesc = "Some of them are merely as wide around as your thigh.  Others are big enough so that you could crawl through if you were inside.  A couple are even as wide as you are tall. "
	isThem = true
	listendesc = "It sounds like there's a large quantity of liquid sloshing through the pipes. "
	smelldesc = "You think you detect the muted tang of ozone. "
;

scenerywires: scenery
	sdesc = "bundle of wires"
	noun = 'wire' 'wires' 'cables'
	adjective = 'bundle' 'bundle of'
	location = powerplant
	ldesc = "There are bundles of electrical cables stretching all over the room.  They attach to the ceiling and walls as well as the control panel and generator. "
	smelldesc = "You think you detect the muted tang of ozone. "
;

sceneryhall: scenery
	sdesc = "steamy hall"
	noun = 'hall' 'corridor' 'vapor'
	adjective = 'steamy'
	location = powerplant
	ldesc = "The hallways to the south seems like a standard corridor.  However, it's hard to be sure from this angle, because it is thick with swirling fog. "
	verDoLookin(actor) = "It's hard to make out anything in all that steam. "
	verDoSearch(actor) = "It's hard to make out anything in all that steam. "
;

scenerysteamy: scenery
	sdesc = "thick pipes"
	noun = 'pipe' 'pipes' 'crack' 'cracks' 'steam' 'cloud'
	adjective = 'thick' 'clouds' 'clouds of'
	location = steamy
	isThem = true
	ldesc = "Three of the thick pipes here have developed cracks.  From these fissures emanate wispy clouds of steam that swirl upward into a ceiling vent. "
	listendesc = "The cracked pipes are hissing vapor into the air. "
	smelldesc = "The air here is humid, with an acrid scent of ozone. "
;

sceneryvent: scenery
	sdesc = "vent"
	noun = 'vent'
	adjective = 'ceiling'
	location = steamy
	ldesc = "It's nothing more than a slotted metal vent in the ceiling.  The clouds of steam drift up and into it. "
;

sceneryraiders: scenery, floatingItem
	sdesc = "panicked raiders"
	noun = 'raiders' 'raider' 'bandit' 'bandits' 'man' 'men'
	adjective = 'confused' 'directionless'
	locations = [firstfloorhall firstfloorwest firstflooreast barracks conference]
	location = {
		if (global.venttime > 0) {
			pass location;
		}
		return nil;
	}
	isThem = true
	ldesc = "The raiders are obviously in complete disarray.  They are frantically dashing in and out of the room in search of whatever is causing the alarms. "
	smelldesc = "Going around sniffing wasteland raiders is not conducive to good health. "
	verIoThrowAt(actor) =
	{
		"None of them will stand still long enough to give you a good shot. ";
	}
	verDoShootWith(actor, io) = {
		"None of them will stand still long enough to give you a good shot. ";
	}
	verDoAttackWith(actor, io) = {
		"None of them will stand still long enough to give you a good shot. ";
	}
;

scenerylabinside: sceneryroom
	sdesc = "laboratory"
	noun = 'laboratory'
	location = lab
;

scenerychairs3: scenery, chairitem
	sdesc = "chairs"
	noun = 'chairs' 'chair'
	adjective = 'tall' 'modular' 'pair'
	thedesc = "a chair"
	location = lab
	ldesc = "There's a pair of tall modular chairs before each of the laboratory tables. "
;

scenerysign: scenery
	sdesc = "closed sign"
	noun = 'sign'
	adjective = 'closed'
	location = nil
	ldesc = "It's a piece of cardboard with the word \"CLOSED\" written on it. ";
;

scenerytape: scenery
	sdesc = "ragged black tape"
	noun = 'tape'
	adjective = 'ragged' 'black'
	location = screwdriver
	ldesc = "The handle of the screwdriver is wound in a ragged black tape. "
;

sceneryredlights2: scenery, floatingItem
	sdesc = "whirling red lights"
	noun = 'lights' 'light'
	adjective = 'whirling' 'red'
	location = {
		if ((global.venttime = 0) || (global.turnsofar - global.venttime <= 1))
			return nil;
		if (!findRootRoom(parserGetMe()).lightsOn)
			return nil;
		pass location;
	}
	locations = [firstfloorhall firstfloorwest firstflooreast barracks conference securitystation firststairs secondfloorhall electricalroom commissary outsidecommissary secondstairs thirdfloorhall powerplant steamy lab]
	isThem = true
	ldesc = "The strobe effect of the whirling red lights is disorienting. "
	listendesc = "The red lights are accompanied by a deafening alarm. "
;
